Package org.eclipse.mat.query.registry

# Class AnnotatedObjectArgumentsSet

java.lang.Object
org.eclipse.mat.query.registry.AnnotatedObjectArgumentsSet

public class AnnotatedObjectArgumentsSet extends Object
Container class for annotated objects and arguments. Holds information about an annotated object (e.g. a query) and all its parameters and the current values of the arguments.

## Constructor Summary

Constructors
Constructor
Description
`AnnotatedObjectArgumentsSet(IAnnotatedObjectDescriptor descriptor)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getArgumentValue(ArgumentDescriptor desc)`
`IAnnotatedObjectDescriptor`
`getDescriptor()`
`Map<ArgumentDescriptor,Object>`
`getValues()`
`boolean`
`isExecutable()`
Are all the required arguments set explicitly or with a default value?
`void`
`removeArgumentValue(ArgumentDescriptor arg)`
`void`
`setArgumentValue(ArgumentDescriptor arg, Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotatedObjectArgumentsSet

public AnnotatedObjectArgumentsSet(IAnnotatedObjectDescriptor descriptor)

## Method Details

### setArgumentValue

public void setArgumentValue(ArgumentDescriptor arg, Object value)

### isExecutable

public boolean isExecutable()
Are all the required arguments set explicitly or with a default value?

Returns:
  true if the query is read to go

### removeArgumentValue

public void removeArgumentValue(ArgumentDescriptor arg)

### getArgumentValue

public Object getArgumentValue(ArgumentDescriptor desc)

### getDescriptor

public IAnnotatedObjectDescriptor getDescriptor()

### getValues

public Map<ArgumentDescriptor,Object> getValues()